Jump to content

Degradacja patcha - 1.0006 na 1.0004


Recommended Posts

Poradnik będzie pomocny tym, którzy zakupili grę Stalker SoC w wersji 1.006, a chcą zainstalować modyfikacje wymagające wersji podstawki w wersji... 1.004.
Jest to wycinek tematów które znajdują się na forum pod linkami...
Dezaktualizacja patcha

Sposób by KOBAL
 
Przygotowałem też alternatywny sposób trochę brutalny, ale udało mi się Soljankę odpalić. Niestety nie dysponuję wersją gry fabrycznie spatchowaną do 1.006, więc test wykonałem na ręcznie podniesionej do 1.0006 grze.Testować musicie sami . Więc jak to wygląda:
Po rozpakowaniu patcha... 1.0005 i 1.0006... wyszło mi, że główne zmiany są w plikach... gamedata.dbb, gamedata.dbp...dodany jest plik ...gamedata dbc. Patche wprowadzają sporo zmian do folderu... bin... Nie myśląc zbyt wiele, przygotowałem plik... gamedata.dbr ...zawierający wersje modyfikowanych plików znane z patcha 1.004. Zgodnie z prawami rządzącymi plikami .dbx program wczytuje je kolejno, więc na końcu przywróci nam gamedata gry do postaci znanej z patcha 1.004.
Po za tym, na żywca przekopiowałem cały folder bin z wersji 1.004. Bez problemów uruchomiłem Soljanke zarówno nową grę, jak i wcześniejszy sejw.
Na ekranie początkowym widnieje mi wersja gry 1.0004. Powtarzam... jak zachowa się fabrycznie spatchowana gra nie wiem, czekam na komentarze, nie wiem też czy nie wynikną jakieś problemy w czasie gry , to trzeba sprawdzić niestety, albo stety samemu.
Stąd http://file4u.pl/dow...006_na_10004.7zmega.co.nz, lub w załączniku do tego posta można ściągnąć archiwum które zawiera plik ...gamedata.dbr... i folder bin z wersji 1.0004. Obydwa pliki trzeba skopiować do folderu gry..
Myślę że lepiej jest przenieść gdzieś sobie folder bin z wersji 1.006 a nie nadpisywać jeden folder drugim.Przede wszystkim bardzo ułatwi to powrót do wersji 1.006 , wystarczy wtedy z powrotem wrzucić folder bin z wersji 1.006 do katalogu gry i wywalić do kosza plik... gamedata.dbr... i już z powrotem mamy wersję 1.0006

Dodano (smox) -

Nowy link do plików - https://megawrzuta.pl/download/6eaf45d14dd079c81d122aac5a98e299.html

 

 

 

 

  • Dodatnia 6
Link to comment
Share on other sites

  • 8 months later...

Niestety wygląda na to, że użytkownicy wersji Cienia z CDA będą musieli grać na 1.006. Poprawka podmienia foldery bin gdzie są informacje o płycie która powinna być w napędzie. Po degradacji gra szuka płyty ze Stalkerem a znajduje płytkę CDA. No i jest problem. W wersji Ekstra Klasyka tego kłopotu nie ma bo to normalny stalker. Przyjrzę się temu w wolnej chwili, może wystarczy przygotować odpowiednią poprawkę tylko pod wersję z CDA.

Link to comment
Share on other sites

Ja mam pytanie: Czy mógłby ktoś z was posiadaczy tego stalkera z cda zrobić screen po instalacji samej gry ? Tak aby była widzialna wielkość każdego partu *.db Chciał bym się dowiedzieć czy to jest przepakowana gra czy tylko zainstalowana + patchowana i zarchiwizowana gra. Na podstawie tych informacji można by zrobić paczkę umożliwiająca łatwa w obsłudze łatkę na downgrade gry.

Link to comment
Share on other sites

Odnośnie Cienia Czarnobyla wersja z CDA postanowiłem sprawdzić co i jak. Więc tak. Gra w wersji 1.006, to juz wiedzą wszyscy. Instaluje się i uruchamia bez problemu, przynajmniej u mnie :) Teraz Priboi. Niestety wspaniałe archiwa samorozpakowujące. Oczywiście z płyty uruchomić instalatora mi się nie udało. Trzeba ręcznie skopiować z katalogu modulator / 02 dwa pliki na dysk i dopiero wtedy rozpakować. Plik 02.exe to Priboi Story v1.1 w wersji eng. Plik 02patch.exe to patch 1.3 jednocześnie adaptujący moda pod podstawkę 1.005. Wygląda że to normalny znany Priboi jakiego można ściągnąć z netu. Rozpakowujemy archiwa. Folder gamedata moda przenosimy do katalogu gry, na to nakładamy gamedatę patcha. Wszystko działa, mamy Priboi Story w wersji eng. Działa też spolszczenie od Tyro do v1.1. Żadnych problemów. Co dziwne, nie trzeba modyfikować pliku fsgame.ltx. Całkiem nie jarzę czemu tak jest, działają różne mody bez zmiany false na true i to nie jest sprawa zmodyfikowanego folderu bin. Niemniej to co jest pisane pod 1.006 i większość modów pod patcha 1.005 powinna działać bez gadania.

Teraz o patchu 1.004.

Sposób nr 2 z tematu http://www.stalkerteam.pl/topic/1972-degradacja-patcha-1006-na-1004/ działa i jednocześnie nie działa. Problem tkwi zapewne w pliku XR_3DA.exe który podmieniamy wraz z całym katalogiem bin z wersji 1.004. Po degradacji gra domaga się oryginalnej płyty STALKERA, a my mamy tylko tę z CDA. Podmiana tego pliku na oryginalny z wersji CDA nie przynosi rezultatów. Wystarczy wsadzić do napędu jakąś płytke STALKERA i wszystko hula. Więc problem rozwiązuje zamontowanie mini image Cienia Czarnobyla i można grać w mody napisane pod patcha 1.004. Co ciekawe, nawet po degradacji patcha, czyli podmianie całego katalogu bin, mody dalej się uruchamiają bez modyfikacji pliku fsgame.ltx. Może w wersji 1.006 tak było, nie wiem bo nigdy nie miałem przyjemności grać w jakieś mody na tej wersji gry. I tyle, linków do mini image nie podaję bo śmierdzi to już piractwem, zresztą o wiele prościej odpuścić sobie te CDA i kupić Extra Klasykę za te 30pln gdzie takie hocki klocki nie będą potrzebne.

Link to comment
Share on other sites

  • 1 month later...
  • 3 months later...

Witam, zgłaszam się do was z kolejnym problemem:D mam 2 wersje stalkera, wersje premierową i wersje z cd-action. Wersja premierowa nie wiedzieć czemu mi sie nie włączała ( nie zachodził nawet żaden proces, nic kompletnie ), Natomiast wersja z CDA włączała się normalnie. Niestety po degradacji do 1.0004 przestała kompletnie działać, tak samo jak premierowa wersja gry. Co robić...

Link to comment
Share on other sites

  • 1 year later...

Mam problem z degradacją. Po degradacji z 1.006 na 1.004 żaden mod nie działa(włącza się, ale jest niegrywalny).W różnych modach, ten sam błąd. Tj.

W "Apokalipsie", "Poszukiwaczach" albo "Powinność-filozofia wojny"- wywala po wczytaniu save.

W "Tajemniczym ugrupowaniu"- wywala przy dialogu z kimkolwiek.

I log błędu, zawsze, niezależnie od moda:

FATAL ERROR [error]Expression    : fatal error[error]Function      : CScriptEngine::lua_error[error]File          : E:stalkerpatch_1_0004xr_3daxrGamescript_engine.cpp[error]Line          : 73[error]Description   : <no expression>[error]Arguments     : LUA error: ... of chernobylgamedatascriptsdialog_manager.script:287: attempt to index local 'tbl' (a nil value) stack trace:

Warto dodać, że przed degradacją tych problemów nie ma. 

Degradowałem ręcznie, zmieniając wpis rejestru i instalując patch.

Link to comment
Share on other sites

Nie podałeś, czyją metodą dokonujesz degradacji.

Skorzystaj ze sposobów zawartych w poniższym linku. Nie wymagają zmian w rejestrze.

Pobierasz tylko tę paczkę, która da Ci potrzebną wersję podstawki.

 

http://stalkerteam.pl/topic/3349-degradacja-patcha-soc-1000-10003-10004-10005-fsgameltx-gamedata-out-off-memory/

Link to comment
Share on other sites

Metody...własnej. Zmieniłem wartość "InstallVers"(HKEY_LOCAL_MACHINE>SOFTWARE>GSC GAME WORLD> STALKER-SHOC) z 1.0006 na 1.0004 i następnie po prostu włączyłem instalator patcha, nie korzystałem z porad z forum co do tego, bo robiłem to kilka razy wcześniej i zawsze działało. Spróbuję innymi metodami. 

Edited by Puszkin86
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.

Comunity